﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Media;

namespace Visuals
{
	class DrawIt : FrameworkElement
	{
		VisualCollection visuals;

		public DrawIt()
		{
			visuals = new VisualCollection(this);

			this.Loaded += new RoutedEventHandler(DrawIt_Loaded);
		}

		void DrawIt_Loaded(object sender, RoutedEventArgs e)
		{
			int x = 0;

			for (int i = 0; i <= 1; i++)
			{
				DrawingVisual visual = new DrawingVisual();
				using (DrawingContext dc = visual.RenderOpen())
				{
					dc.DrawRectangle(Brushes.Red, new Pen(Brushes.Black, 2),
							new Rect(new Point(0 + x, 0), new Size(40, 40)));
				}
				visuals.Add(visual);
				x += 60;
			}
		}

		protected override Visual GetVisualChild(int index)
		{
			return visuals[index];
		}

		protected override int VisualChildrenCount
		{
			get
			{
				return visuals.Count;
			}
		}
	}
}
